Graph API 版本

Oembed Post

On April 8, 2025, we introduced a new oEmbed feature, Meta oEmbed Read to replace the existing oEmbed Read feature. The current oEmbed Read feature will be deprecated on November 3, 2025.

  • Apps created after April 8, 2025 that implement oEmbed will use the new Meta oEmbed Read feature.
  • Existing apps that already use the current oEmbed Read feature will be automatically updated to the new Meta oEmbed Read feature by November 3, 2025.

The following fields are no longer returned and will be fully deprecated on November 3, 2025:

  • author_name
  • author_url
  • thumbnail_height
  • thumbnail_url
  • thumbnail_width

Read the oEmbed Updates blog post from Meta to learn more.

On June 15, 2026, we lifted the access token requirement from all Meta oEmbed APIs. This applies to the following endpoints:


This means that App Review will no longer be required to embed public Meta content. With tokenless access, you can make up to 1,000 oEmbed API requests per endpoint every hour. If you already have the Meta oEmbed Read or Threads oEmbed Read feature approved through App Review, you can still use an access token to make up to 5 million oEmbed API requests per endpoint every day.

Read the Introducing Tokenless Access to Meta oEmbed APIs blog post from Meta to learn more.

閱讀中

OembedPost

例子

Graph API Explorer
GET /v26.0/oembed_post HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/oembed_post',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/oembed_post",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/oembed_post",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/oembed_post"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果想了解如何使用 Graph API,請參閱我們的使用 Graph API 指南

參數

參數描述
maxwidth
int64

Maximum width of returned post.

omitscript
boolean
預設值:false

If set to true, the returned embed HTML code will not include any javascript.

sdklocale
string

sdklocale

url
URI

The post's URL.

必填
useiframe
boolean
預設值:false

useiframe

欄位

欄位描述
height
int32

The height in pixels required to display the HTML.

html
string

The HTML used to display the post.

provider_name
string

Name of the provider (Facebook).

provider_url
string

URL of the provider (Facebook).

type
string

The oEmbed resource type. See https://oembed.com/.

version
string

Always 1.0. See https://oembed.com/

width
int32

The width in pixels required to display the HTML.

Error Codes

錯誤說明
100Invalid parameter
200Permissions error
190Invalid OAuth 2.0 Access Token

建立中

你無法在此端點執行此操作。

更新中

你無法在此端點執行此操作。

正在刪除

你無法在此端點執行此操作。